Package org.apache.maven.scm.command.diff

## Class AbstractDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `AbstractCvsDiffCommand`, `BazaarDiffCommand`, `GitDiffCommand`, `HgDiffCommand`, `PerforceDiffCommand`, `StarteamDiffCommand`, `SvnDiffCommand`

    public abstract class AbstractDiffCommand
    extends AbstractCommand

TODO: Better support for entire filesets. TODO: Better support for entire changesets (ie consistency between revision handling in CVS and SVN). TODO: Consistent handling of revisions, tags and dates - currently only revisions supported, though tags will work for CVS

Author:
  Emmanuel Venisse, Trygve Laugstøl, Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractDiffCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract DiffScmResult` `executeDiffCommand​(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion startRevision, ScmVersion endRevision)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDiffCommand

    public AbstractDiffCommand()

### Method Detail

#### executeDiffCommand

    protected abstract DiffScmResult executeDiffCommand​(ScmProviderRepository repository,
                                                        ScmFileSet fileSet,
                                                        ScmVersion startRevision,
                                                        ScmVersion endRevision)
                                                 throws ScmException

Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand​(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`